export var ALIGN = {
  Top: 'top',
  Middle: 'middle',
  Bottom: 'bottom'
};
export var BUTTON_TYPE = {
  Primary: 'primary',
  Dashed: 'dashed',
  Danger: 'danger'
};
export var BREAKPOINT = {
  Xs: 'xs',
  Sm: 'sm',
  Md: 'md',
  Lg: 'lg',
  Xl: 'xl'
};
export var Dir = {
  Horizontal: 'horizontal',
  Inline: 'inline',
  Vertical: 'vertical'
};
export var ICON_THEME = {
  Filled: 'filled',
  Outlined: 'outlined',
  TwoTone: 'twoTone'
};
export var INPUT_TYPE = {
  Password: 'password',
  Text: 'text'
};
export var JUSTIFY = {
  Start: 'start',
  End: 'end',
  Center: 'center',
  SpaceAround: 'space-around',
  SpaceBetween: 'space-between'
};
export var MENU_MODE = {
  Vertical: 'vertical',
  VerticalRight: 'vertical-right',
  Horizontal: 'horizontal',
  Inline: 'inline'
};
export var PLACEMENT = {
  Top: 'top',
  Left: 'left',
  Right: 'right',
  Bottom: 'bottom',
  TopLeft: 'topLeft',
  TopRight: 'topRight',
  BottomLeft: 'bottomLeft',
  BottomRight: 'bottomRight',
  LeftTop: 'leftTop',
  LeftBottom: 'leftBottom',
  RightTop: 'rightTop',
  RightBottom: 'rightBottom'
};
export var ROW_TYPE = {
  Flex: 'flex'
};
export var SELECT_MODE = {
  Multiple: 'multiple',
  Tags: 'tags',
  Combobox: 'combobox'
};
export var SELECT_MODES = {
  Local: 'local',
  Remote: 'remote'
};
export var SHAPE = {
  Circle: 'circle',
  Round: 'round',
  Square: 'square'
};
export var SIZE = {
  Large: 'large',
  Default: 'default',
  Small: 'small'
};
export var STATUS = {
  Success: 'success',
  Processing: 'processing',
  Default: 'default',
  Error: 'error',
  Warning: 'warning'
};
export var THEME = {
  Light: 'light',
  Dark: 'dark'
};
export var TRIGGER = {
  Hover: 'hover',
  Focus: 'focus',
  Click: 'click'
};