import "antd/es/button/style";
import _Button from "antd/es/button";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import { SK } from 'sk-js';
import { Reacts } from 'sk-react';
import AntdComp from '../AntdComp';
import { SIZE } from '../AntdConst';
_Button.defaultProps = SK.extends(true, {}, {
  block: false,
  // disabled: false,//Comp
  ghost: false,
  htmlType: Reacts.TAG.button,
  loading: false,
  size: SIZE.Default
}, _Button.defaultProps, {});
_Button.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/button-cn/#API
  block: PropTypes.bool,
  // disabled: PropTypes.bool,//Comp
  ghost: PropTypes.bool,
  href: PropTypes.string,
  htmlType: PropTypes.string,
  icon: PropTypes.string,
  loading: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]),
  shape: PropTypes.string,
  size: PropTypes.string,
  target: PropTypes.string,
  type: PropTypes.string,
  onClick: PropTypes.func
}, _Button.propTypes, {});
_Button.NON_SK_COMP_NAME = 'Button';

var SKButton =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKButton, _AntdComp);

  function SKButton() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKButton)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKButton.SK_COMP_NAME;
    return _this;
  }

  return SKButton;
}(AntdComp);

SKButton.SK_COMP_NAME = 'SKButton';
SKButton.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Button.defaultProps, {
  compTag: _Button
});
SKButton.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Button.propTypes, {});
export { SKButton as default };