import "antd/es/col/style";
import _Col from "antd/es/col";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { SK } from 'sk-js';
import AntdComp from '../AntdComp';
_Col.defaultProps = SK.extends(true, {}, {
  offset: 0,
  order: 0,
  pull: 0,
  push: 0
}, _Col.defaultProps, {});
_Col.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/grid-cn/#Col
  offset: PropTypes.number,
  order: PropTypes.number,
  pull: PropTypes.number,
  push: PropTypes.number,
  span: PropTypes.number,
  xs: PropTypes.oneOfType([PropTypes.number, PropTypes.object]),
  sm: PropTypes.oneOfType([PropTypes.number, PropTypes.object]),
  md: PropTypes.oneOfType([PropTypes.number, PropTypes.object]),
  lg: PropTypes.oneOfType([PropTypes.number, PropTypes.object]),
  xl: PropTypes.oneOfType([PropTypes.number, PropTypes.object]),
  xxl: PropTypes.oneOfType([PropTypes.number, PropTypes.object])
}, _Col.propTypes, {});
_Col.NON_SK_COMP_NAME = 'Col';

var SKCol =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKCol, _AntdComp);

  function SKCol() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKCol);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKCol)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKCol.SK_COMP_NAME;
    return _this;
  }

  _createClass(SKCol, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag; // const gutter = this.skProp(SKRow.SK_PROPS.GUTTER);
      // const style = this.props.style || {};
      // if (gutter > 0) {
      //   style.paddingLeft = gutter / 2;
      //   style.paddingRight = gutter / 2;
      // }

      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        span: this.skProp(SKCol.SK_PROPS.SPAN)
      }), this.skTransProps2Child());
    }
  }]);

  return SKCol;
}(AntdComp);

SKCol.SK_COMP_NAME = 'SKCol';
SKCol.SK_PROPS = SK.extends(true, {}, AntdComp.SK_PROPS, {
  SPAN: 'span'
});
SKCol.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Col.defaultProps, {
  compTag: _Col
});
SKCol.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Col.propTypes, {});
export { SKCol as default };