import "antd/es/form/style";
import _Form from "antd/es/form";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { SK } from 'sk-js';
import OriginForm from './OriginForm';
import AntdComp from '../AntdComp';
var Item = _Form.Item;
Item.defaultProps = SK.extends(true, {}, {
  colon: true,
  hasFeedback: false,
  required: false
}, OriginForm.defaultProps, Item.defaultProps, {});
Item.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/form-cn/#Form.Item
  colon: PropTypes.bool,
  extra: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  hasFeedback: PropTypes.bool,
  help: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  label: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  labelCol: PropTypes.object,
  required: PropTypes.bool,
  validateStatus: PropTypes.string,
  wrapperCol: PropTypes.object
}, OriginForm.propTypes, Item.propTypes, {});
Item.NON_SK_COMP_NAME = 'FormItem';

var SKFormItem =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKFormItem, _AntdComp);

  function SKFormItem() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKFormItem);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKFormItem)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKFormItem.SK_COMP_NAME;
    return _this;
  }

  _createClass(SKFormItem, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      var labelCol = this.skProp(SKFormItem.SK_PROPS.LABEL_COL);
      var wrapperCol = this.skProp(SKFormItem.SK_PROPS.WRAPPER_COL);
      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        labelCol: labelCol,
        required: this.skBfo(AntdComp.SK_PROPS.REQUIRED),
        wrapperCol: wrapperCol
      }), this.skTransProps2Child());
    }
  }]);

  return SKFormItem;
}(AntdComp);

SKFormItem.SK_COMP_NAME = 'SKFormItem';
SKFormItem.SK_PROPS = SK.extends(true, {}, AntdComp.SK_PROPS, {
  LABEL_COL: 'labelCol',
  WRAPPER_COL: 'wrapperCol'
});
SKFormItem.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, Item.defaultProps, {
  compTag: _Form.Item
});
SKFormItem.propTypes = SK.extends(true, {}, AntdComp.propTypes, Item.propTypes, {
  formLabelCol: PropTypes.object,
  skFormLabelCol: PropTypes.object,
  formWrapperCol: PropTypes.object,
  skFormWrapperCol: PropTypes.object
});
export { SKFormItem as default };