import "antd/es/input/style";
import _Input from "antd/es/input";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

import PropTypes from 'prop-types';
import { SK } from 'sk-js';
import { INPUT_TYPE } from '../AntdConst';
_Input.defaultProps = SK.extends(true, {}, {
  disabled: false,
  //size: SIZE.Default,//invalid function this.skProp(AntdComp.SK_PROPS.SIZE)
  type: INPUT_TYPE.Text
}, _Input.defaultProps, {});
_Input.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/input-cn/#Input
  addonAfter: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  addonBefore: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  defaultValue: PropTypes.string,
  disabled: PropTypes.bool,
  id: PropTypes.string,
  prefix: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  size: PropTypes.string,
  suffix: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  type: PropTypes.string,
  value: PropTypes.string,
  onPressEnter: PropTypes.func
}, _Input.propTypes, {});
_Input.NON_SK_COMP_NAME = 'Input';

var OriginInput = function OriginInput() {
  _classCallCheck(this, OriginInput);
};

OriginInput.defaultProps = SK.extends(true, {}, _Input.defaultProps, {});
OriginInput.propTypes = SK.extends(true, {}, _Input.propTypes, {});
export { OriginInput as default };