import "antd/es/input/style";
import _Input from "antd/es/input";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import { Mesgs, Proxy0, SK } from 'sk-js';
import AntdComp from '../AntdComp';
import React from 'react';
var TextArea = _Input.TextArea;
TextArea.defaultProps = SK.extends(true, {}, {}, TextArea.defaultProps, {});
TextArea.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/input-cn/#Input.TextArea
  autosize: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]),
  defaultValue: PropTypes.string,
  value: PropTypes.string,
  onPressEnter: PropTypes.func
}, TextArea.propTypes, {});
TextArea.NON_SK_COMP_NAME = 'TextArea';
/**
 * @HasPreview
 * @MustModelId
 */

var SKTextArea =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKTextArea, _AntdComp);

  function SKTextArea() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKTextArea);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKTextArea)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKTextArea.SK_COMP_NAME;

    _this.handleChange = function (domEvent) {
      if (_this.props.ssChange && Proxy0._.isFunction(_this.props.ssChange)) {
        _this.props.ssChange(domEvent);
      } else {
        _this.n2m(domEvent.target.value);
      }
    };

    return _this;
  }

  _createClass(SKTextArea, [{
    key: "renderComp",
    value: function renderComp() {
      var _this$props = this.props,
          CompTag = _this$props.compTag,
          placeholder = _this$props.placeholder;
      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onChange: this.handleChange,
        placeholder: placeholder || Mesgs.get('Please_input'),
        value: this.m2n()
      }), this.skTransProps2Child());
    }
  }, {
    key: "renderPreview",
    value: function renderPreview() {
      return this.renderAntdCompPreview();
    }
  }]);

  return SKTextArea;
}(AntdComp);

SKTextArea.SK_COMP_NAME = 'SKTextArea';
SKTextArea.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, TextArea.defaultProps, {
  compTag: TextArea
});
SKTextArea.propTypes = SK.extends(true, {}, AntdComp.propTypes, TextArea.propTypes, {});
export { SKTextArea as default };