import "antd/es/popover/style";
import _Popover from "antd/es/popover";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { Mesgs, SK } from 'sk-js';
import AntdComp from '../AntdComp';
import CommonTip from '../tooltip/CommonTip';
_Popover.defaultProps = SK.extends(true, {}, {}, CommonTip.defaultProps, _Popover.defaultProps, {});
_Popover.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/popover-cn/#API
  content: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
}, CommonTip.propTypes, _Popover.propTypes, {});
_Popover.NON_SK_COMP_NAME = 'Popover';

var SKPopover =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKPopover, _AntdComp);

  function SKPopover() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKPopover);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKPopover)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKPopover.SK_COMP_NAME;
    return _this;
  }

  return SKPopover;
}(AntdComp);

SKPopover.SK_COMP_NAME = 'SKPopover';
SKPopover.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Popover.defaultProps, {
  compTag: _Popover,
  title: Mesgs.get('Description')
});
SKPopover.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Popover.propTypes, {});
export { SKPopover as default };