function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { Proxy0, SK } from 'sk-js';
import SKSelect from './SKSelect';

var SKRemoteSelect =
/*#__PURE__*/
function (_SKSelect) {
  _inherits(SKRemoteSelect, _SKSelect);

  function SKRemoteSelect() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKRemoteSelect);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKRemoteSelect)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKRemoteSelect.SK_COMP_NAME;
    _this.SK_EXTEND_COMP_NAME = SKRemoteSelect.SK_EXTEND_COMP_NAME;

    _this.handleSearch = function (value) {
      if (_this.props.ssSearch && Proxy0._.isFunction(_this.props.ssSearch)) {
        _this.props.ssSearch(value);
      }
    };

    return _this;
  }

  return SKRemoteSelect;
}(SKSelect);

SKRemoteSelect.SK_COMP_NAME = 'SKSelect';
SKRemoteSelect.SK_EXTEND_COMP_NAME = 'SKRemoteSelect';
SKRemoteSelect.defaultProps = SK.extends(true, {}, SKSelect.defaultProps, {
  filterOption: false
});
SKRemoteSelect.propTypes = SK.extends(true, {}, SKSelect.propTypes, {
  dataId: PropTypes.string.required,
  ssSearch: PropTypes.func
});
export { SKRemoteSelect as default };