import "antd/es/switch/style";
import _Switch from "antd/es/switch";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { Proxy0, SK } from 'sk-js';
import { SKDiv } from 'sk-react';
import AntdComp from '../AntdComp';
import { SIZE } from '../AntdConst';
_Switch.defaultProps = SK.extends(true, {}, {
  allowClear: false,
  checked: false,
  defaultChecked: false,
  size: SIZE.Default,
  loading: false
}, _Switch.defaultProps, {});
_Switch.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/switch-cn/#API
  allowClear: PropTypes.bool,
  checked: PropTypes.bool,
  checkedChildren: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  defaultChecked: PropTypes.bool,
  size: PropTypes.string,
  unCheckedChildren: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  onChange: PropTypes.func,
  loading: PropTypes.bool
}, _Switch.propTypes, {});
_Switch.NON_SK_COMP_NAME = 'Switch';
/**
 * @MustModelId
 * @NoChild
 */

var SKSwitch =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKSwitch, _AntdComp);

  function SKSwitch() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKSwitch);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKSwitch)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKSwitch.SK_COMP_NAME;

    _this.handleChange = function (checked) {
      if (_this.props.ssChange && Proxy0._.isFunction(_this.props.ssChange)) {
        _this.props.ssChange(checked);
      } else {
        _this.n2m(checked);
      }
    };

    return _this;
  }

  _createClass(SKSwitch, [{
    key: "renderComp",
    value: function renderComp() {
      var CompTag = this.props.compTag;
      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        checked: this.m2n(),
        onChange: this.handleChange
      }));
    }
  }, {
    key: "renderPreview",
    value: function renderPreview() {
      return this.m2n() ? React.createElement(SKDiv, null, this.props.checkedChildren) : undefined;
    }
  }]);

  return SKSwitch;
}(AntdComp);

SKSwitch.SK_COMP_NAME = 'SKSwitch';
SKSwitch.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Switch.defaultProps, {
  compTag: _Switch
});
SKSwitch.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Switch.propTypes, {
  ssChange: PropTypes.func
});
export { SKSwitch as default };