"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TRIGGER = exports.THEME = exports.STATUS = exports.SIZE = exports.SHAPE = exports.SELECT_MODES = exports.SELECT_MODE = exports.ROW_TYPE = exports.PLACEMENT = exports.MENU_MODE = exports.JUSTIFY = exports.INPUT_TYPE = exports.ICON_THEME = exports.Dir = exports.BREAKPOINT = exports.BUTTON_TYPE = exports.ALIGN = void 0;
var ALIGN = {
  Top: 'top',
  Middle: 'middle',
  Bottom: 'bottom'
};
exports.ALIGN = ALIGN;
var BUTTON_TYPE = {
  Primary: 'primary',
  Dashed: 'dashed',
  Danger: 'danger'
};
exports.BUTTON_TYPE = BUTTON_TYPE;
var BREAKPOINT = {
  Xs: 'xs',
  Sm: 'sm',
  Md: 'md',
  Lg: 'lg',
  Xl: 'xl'
};
exports.BREAKPOINT = BREAKPOINT;
var Dir = {
  Horizontal: 'horizontal',
  Inline: 'inline',
  Vertical: 'vertical'
};
exports.Dir = Dir;
var ICON_THEME = {
  Filled: 'filled',
  Outlined: 'outlined',
  TwoTone: 'twoTone'
};
exports.ICON_THEME = ICON_THEME;
var INPUT_TYPE = {
  Password: 'password',
  Text: 'text'
};
exports.INPUT_TYPE = INPUT_TYPE;
var JUSTIFY = {
  Start: 'start',
  End: 'end',
  Center: 'center',
  SpaceAround: 'space-around',
  SpaceBetween: 'space-between'
};
exports.JUSTIFY = JUSTIFY;
var MENU_MODE = {
  Vertical: 'vertical',
  VerticalRight: 'vertical-right',
  Horizontal: 'horizontal',
  Inline: 'inline'
};
exports.MENU_MODE = MENU_MODE;
var PLACEMENT = {
  Top: 'top',
  Left: 'left',
  Right: 'right',
  Bottom: 'bottom',
  TopLeft: 'topLeft',
  TopRight: 'topRight',
  BottomLeft: 'bottomLeft',
  BottomRight: 'bottomRight',
  LeftTop: 'leftTop',
  LeftBottom: 'leftBottom',
  RightTop: 'rightTop',
  RightBottom: 'rightBottom'
};
exports.PLACEMENT = PLACEMENT;
var ROW_TYPE = {
  Flex: 'flex'
};
exports.ROW_TYPE = ROW_TYPE;
var SELECT_MODE = {
  Multiple: 'multiple',
  Tags: 'tags',
  Combobox: 'combobox'
};
exports.SELECT_MODE = SELECT_MODE;
var SELECT_MODES = {
  Local: 'local',
  Remote: 'remote'
};
exports.SELECT_MODES = SELECT_MODES;
var SHAPE = {
  Circle: 'circle',
  Round: 'round',
  Square: 'square'
};
exports.SHAPE = SHAPE;
var SIZE = {
  Large: 'large',
  Default: 'default',
  Small: 'small'
};
exports.SIZE = SIZE;
var STATUS = {
  Success: 'success',
  Processing: 'processing',
  Default: 'default',
  Error: 'error',
  Warning: 'warning'
};
exports.STATUS = STATUS;
var THEME = {
  Light: 'light',
  Dark: 'dark'
};
exports.THEME = THEME;
var TRIGGER = {
  Hover: 'hover',
  Focus: 'focus',
  Click: 'click'
};
exports.TRIGGER = TRIGGER;