"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/affix/style");

var _affix = _interopRequireDefault(require("antd/es/affix"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_affix.default.defaultProps = _skJs.SK.extends(true, {}, {}, _affix.default.defaultProps, {});
_affix.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/Affix-cn/#API
  offsetBottom: _propTypes.default.number,
  offsetTop: _propTypes.default.number,
  target: _propTypes.default.func,
  onChange: _propTypes.default.func
}, _affix.default.propTypes, {});
_affix.default.NON_SK_COMP_NAME = 'Affix';

var SKAffix =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKAffix, _AntdComp);

  function SKAffix() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKAffix);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKAffix)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKAffix.SK_COMP_NAME;
    return _this;
  }

  return SKAffix;
}(_AntdComp2.default);

exports.default = SKAffix;
SKAffix.SK_COMP_NAME = 'SKAffix';
SKAffix.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _affix.default.defaultProps, {
  compTag: _affix.default
});
SKAffix.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _affix.default.propTypes, {});