"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/avatar/style");

var _avatar = _interopRequireDefault(require("antd/es/avatar"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_avatar.default.defaultProps = _skJs.SK.extends(true, {}, {
  shape: _AntdConst.SHAPE.Circle,
  size: _AntdConst.SIZE.Default
}, _avatar.default.defaultProps, {});
_avatar.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/avatar-cn/#API
  alt: _propTypes.default.string,
  icon: _propTypes.default.string,
  shape: _propTypes.default.oneOf(Object.values(_AntdConst.SHAPE)),
  dot: _propTypes.default.bool,
  size: _propTypes.default.oneOf(Object.values(_AntdConst.SIZE)),
  src: _propTypes.default.string,
  onError: _propTypes.default.func
}, _avatar.default.propTypes, {});
_avatar.default.NON_SK_COMP_NAME = 'Avatar';
/**
 * @MustModels
 */

var SKAvatar =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKAvatar, _AntdComp);

  function SKAvatar() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKAvatar);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKAvatar)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKAvatar.SK_COMP_NAME;
    return _this;
  }

  _createClass(SKAvatar, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        alt: this.m2n()
      }), this.skTransProps2Child());
    }
  }]);

  return SKAvatar;
}(_AntdComp2.default);

exports.default = SKAvatar;
SKAvatar.SK_COMP_NAME = 'SKAvatar';
SKAvatar.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _avatar.default.defaultProps, {
  compTag: _avatar.default
});
SKAvatar.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _avatar.default.propTypes, {});