"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/form/style");

var _form = _interopRequireDefault(require("antd/es/form"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_form.default.defaultProps = _skJs.SK.extends(true, {}, {
  hideRequiredMark: false,
  layout: _AntdConst.Dir.Horizontal
}, _form.default.defaultProps, {});
_form.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/form-cn/#Form
  form: _propTypes.default.object,
  hideRequiredMark: _propTypes.default.bool,
  layout: _propTypes.default.oneOf(Object.values(_AntdConst.Dir)),
  onSubmit: _propTypes.default.func
}, _form.default.propTypes, {});
_form.default.NON_SK_COMP_NAME = 'Form';

var OriginForm = function OriginForm() {
  _classCallCheck(this, OriginForm);
};

exports.default = OriginForm;
OriginForm.defaultProps = _skJs.SK.extends(true, {}, _form.default.defaultProps, {});
OriginForm.propTypes = _skJs.SK.extends(true, {}, _form.default.propTypes, {});