"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/icon/style");

var _icon = _interopRequireDefault(require("antd/es/icon"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_icon.default.defaultProps = _skJs.SK.extends(true, {}, {
  spin: false,
  theme: _AntdConst.ICON_THEME.Outlined
}, _icon.default.defaultProps, {});
_icon.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/icon-cn/#API
  // component: PropTypes.any
  rotate: _propTypes.default.number,
  spin: _propTypes.default.bool,
  style: _propTypes.default.object,
  theme: _propTypes.default.string,
  type: _propTypes.default.string,
  twoToneColor: _propTypes.default.string
}, _icon.default.propTypes, {});
_icon.default.NON_SK_COMP_NAME = 'Icon';

var SKIcon =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKIcon, _AntdComp);

  function SKIcon() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKIcon);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKIcon)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKIcon.SK_COMP_NAME;
    return _this;
  }

  return SKIcon;
}(_AntdComp2.default);

exports.default = SKIcon;
SKIcon.SK_COMP_NAME = 'SKIcon';
SKIcon.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _icon.default.defaultProps, {
  compTag: _icon.default
});
SKIcon.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _icon.default.propTypes, {});