"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/input/style");

var _input = _interopRequireDefault(require("antd/es/input"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_input.default.defaultProps = _skJs.SK.extends(true, {}, {
  disabled: false,
  //size: SIZE.Default,//invalid function this.skProp(AntdComp.SK_PROPS.SIZE)
  type: _AntdConst.INPUT_TYPE.Text
}, _input.default.defaultProps, {});
_input.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/input-cn/#Input
  addonAfter: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  addonBefore: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  defaultValue: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  id: _propTypes.default.string,
  prefix: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  size: _propTypes.default.string,
  suffix: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  type: _propTypes.default.string,
  value: _propTypes.default.string,
  onPressEnter: _propTypes.default.func
}, _input.default.propTypes, {});
_input.default.NON_SK_COMP_NAME = 'Input';

var OriginInput = function OriginInput() {
  _classCallCheck(this, OriginInput);
};

exports.default = OriginInput;
OriginInput.defaultProps = _skJs.SK.extends(true, {}, _input.default.defaultProps, {});
OriginInput.propTypes = _skJs.SK.extends(true, {}, _input.default.propTypes, {});