"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/input/style");

var _input = _interopRequireDefault(require("antd/es/input"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Group = _input.default.Group;
Group.defaultProps = _skJs.SK.extends(true, {}, {
  compact: false,
  size: _AntdConst.SIZE.Default
}, Group.defaultProps, {});
Group.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/input-cn/#Input.Group
  compact: _propTypes.default.bool,
  size: _propTypes.default.string
}, Group.propTypes, {});
Group.NON_SK_COMP_NAME = 'InputGroup';

var SKInputGroup =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKInputGroup, _AntdComp);

  function SKInputGroup() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKInputGroup);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKInputGroup)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKInputGroup.SK_COMP_NAME;
    return _this;
  }

  return SKInputGroup;
}(_AntdComp2.default);

exports.default = SKInputGroup;
SKInputGroup.SK_COMP_NAME = 'SKInputGroup';
SKInputGroup.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, Group.defaultProps, {
  compTag: Group
});
SKInputGroup.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, Group.propTypes, {});