"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/input/style");

var _input = _interopRequireDefault(require("antd/es/input"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _OriginInput = _interopRequireDefault(require("./OriginInput"));

var _SKInput2 = _interopRequireDefault(require("./SKInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Search = _input.default.Search;
Search.defaultProps = _skJs.SK.extends(true, {}, {
  enterButton: false
}, _OriginInput.default.defaultProps, Search.defaultProps, {});
Search.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/input-cn/#Input.Search
  enterButton: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  onSearch: _propTypes.default.func
}, _OriginInput.default.propTypes, Search.propTypes, {});
Search.NON_SK_COMP_NAME = 'Search';

var SKSearch =
/*#__PURE__*/
function (_SKInput) {
  _inherits(SKSearch, _SKInput);

  function SKSearch() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKSearch);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKSearch)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKSearch.SK_COMP_NAME;
    return _this;
  }

  return SKSearch;
}(_SKInput2.default);

exports.default = SKSearch;
SKSearch.SK_COMP_NAME = 'SKSearch';
SKSearch.defaultProps = _skJs.SK.extends(true, {}, _SKInput2.default.defaultProps, Search.defaultProps, {
  compTag: Search
});
SKSearch.propTypes = _skJs.SK.extends(true, {}, _SKInput2.default.propTypes, Search.propTypes, {});