"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/menu/style");

var _menu = _interopRequireDefault(require("antd/es/menu"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_menu.default.defaultProps = _skJs.SK.extends(true, {}, {//inlineIndent: 24,
  //mode: MENU_MODE.Vertical,
  //multiple: false,
  //selectable: true,
  //theme: THEME.Light,
  //onOpenChange: noop,
  //subMenuOpenDelay: 0,
  //subMenuCloseDelay: 0.1,
  //forceSubMenuRender: false,
}, _menu.default.defaultProps, {});
_menu.default.propTypes = _skJs.SK.extends(true, {
  level: _propTypes.default.number,
  parentMenu: _propTypes.default.object,
  prefixCls: _propTypes.default.string,
  rootPrefixCls: _propTypes.default.string
}, {
  //https://ant.design/components/menu-cn/#Menu
  defaultOpenKeys: _propTypes.default.any,
  defaultSelectedKeys: _propTypes.default.array,
  inlineCollapsed: _propTypes.default.bool,
  inlineIndent: _propTypes.default.number,
  mode: _propTypes.default.oneOf(Object.values(_AntdConst.MENU_MODE)),
  multiple: _propTypes.default.bool,
  openKeys: _propTypes.default.array,
  selectable: _propTypes.default.bool,
  selectedKeys: _propTypes.default.array,
  style: _propTypes.default.object,
  theme: _propTypes.default.oneOf(Object.values(_AntdConst.THEME)),
  onClick: _propTypes.default.func,
  onDeselect: _propTypes.default.func,
  onOpenChange: _propTypes.default.func,
  onSelect: _propTypes.default.func,
  subMenuOpenDelay: _propTypes.default.number,
  subMenuCloseDelay: _propTypes.default.number,
  forceSubMenuRender: _propTypes.default.bool,
  //https://github.com/react-component/menu#menu-props
  activeKey: _propTypes.default.object,
  defaultActiveFirst: _propTypes.default.bool,
  triggerSubMenuAction: _propTypes.default.string,
  openAnimation: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.string]),
  openTransition: _propTypes.default.string,
  getPopupContainer: _propTypes.default.func
}, _menu.default.propTypes, {});
_menu.default.NON_SK_COMP_NAME = 'Menu';

var OriginMenu = function OriginMenu() {
  _classCallCheck(this, OriginMenu);
};

exports.default = OriginMenu;
OriginMenu.defaultProps = _skJs.SK.extends(true, {}, _menu.default.defaultProps, {});
OriginMenu.propTypes = _skJs.SK.extends(true, {}, _menu.default.propTypes, {});