"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/popover/style");

var _popover = _interopRequireDefault(require("antd/es/popover"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _CommonTip = _interopRequireDefault(require("../tooltip/CommonTip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_popover.default.defaultProps = _skJs.SK.extends(true, {}, {}, _CommonTip.default.defaultProps, _popover.default.defaultProps, {});
_popover.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/popover-cn/#API
  content: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node])
}, _CommonTip.default.propTypes, _popover.default.propTypes, {});
_popover.default.NON_SK_COMP_NAME = 'Popover';

var SKPopover =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKPopover, _AntdComp);

  function SKPopover() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKPopover);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKPopover)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKPopover.SK_COMP_NAME;
    return _this;
  }

  return SKPopover;
}(_AntdComp2.default);

exports.default = SKPopover;
SKPopover.SK_COMP_NAME = 'SKPopover';
SKPopover.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _popover.default.defaultProps, {
  compTag: _popover.default,
  title: _skJs.Mesgs.get('Description')
});
SKPopover.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _popover.default.propTypes, {});