"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/tag/style");

var _tag = _interopRequireDefault(require("antd/es/tag"));

var _skJs = require("sk-js");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SKCheckableTag2 = _interopRequireDefault(require("./SKCheckableTag"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

//if modelId exist, checked state use pubs.pubX...
//else use react state

/**
 * @NoChild
 */
var SKClickShowTag =
/*#__PURE__*/
function (_SKCheckableTag) {
  _inherits(SKClickShowTag, _SKCheckableTag);

  function SKClickShowTag() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKClickShowTag);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKClickShowTag)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      checked: false
    };
    _this.SK_COMP_NAME = SKClickShowTag.SK_COMP_NAME;
    _this.SK_EXTEND_COMP_NAME = SKClickShowTag.SK_EXTEND_COMP_NAME;

    _this.handleChange = function (checked) {
      if (_this.props.ssChange && _skJs.Proxy0._.isFunction(_this.props.ssChange)) {
        _this.props.ssChange(checked);
      } else {
        if (_this.props.showId) {
          _this.skModel().skVal(_this.props.showId, checked);
        } else {
          _this.setState({
            checked: checked
          });
        }
      }
    };

    return _this;
  }

  _createClass(SKClickShowTag, [{
    key: "addExtendChangedMonitor",
    value: function addExtendChangedMonitor() {
      _get(_getPrototypeOf(SKClickShowTag.prototype), "addExtendChangedMonitor", this).call(this);

      this.addChangedMonitor(this.props.showId);
    }
  }, {
    key: "rmvExtendChangedMonitor",
    value: function rmvExtendChangedMonitor() {
      _get(_getPrototypeOf(SKClickShowTag.prototype), "rmvExtendChangedMonitor", this).call(this);

      this.rmvChangedMonitor(this.props.showId);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          CompTag = _this$props.compTag,
          showId = _this$props.showId,
          scroll = _this$props.scroll;
      var checked = showId ? this.skModel().skVal(showId) : this.state.checked;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        checked: checked,
        onChange: this.handleChange
      }), checked ? this.skTransProps2Child() : _skJs.Mesgs.get('Click_Show'));
    }
  }]);

  return SKClickShowTag;
}(_SKCheckableTag2.default);

exports.default = SKClickShowTag;
SKClickShowTag.SK_COMP_NAME = 'SKCheckableTag';
SKClickShowTag.SK_EXTEND_COMP_NAME = 'SKClickShowTag';
SKClickShowTag.defaultProps = _skJs.SK.extends(true, {}, _SKCheckableTag2.default.defaultProps, {
  compTag: _tag.default.CheckableTag
});
SKClickShowTag.propTypes = _skJs.SK.extends(true, {}, _SKCheckableTag2.default.propTypes, {
  showId: _propTypes.default.string
});