"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var CommonTip = function CommonTip() {
  _classCallCheck(this, CommonTip);
};

exports.default = CommonTip;
CommonTip.defaultProps = _skJs.SK.extends(true, {}, {
  arrowPointAtCenter: false,
  autoAdjustOverflow: true,
  // defaultVisible: false,
  mouseEnterDelay: 0,
  mouseLeaveDelay: 0.1,
  placement: _AntdConst.PLACEMENT.Top // trigger: TRIGGER.Hover,//maybe array
  //can't set visible, because https://github.com/ant-design/ant-design/blob/master/components/tooltip/index.tsx#L113
  // visible: false,//Comp

}, {});
CommonTip.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/tooltip-cn/#%E5%85%B1%E5%90%8C%E7%9A%84-API
  arrowPointAtCenter: _propTypes.default.bool,
  autoAdjustOverflow: _propTypes.default.bool,
  defaultVisible: _propTypes.default.bool,
  getPopupContainer: _propTypes.default.func,
  mouseEnterDelay: _propTypes.default.number,
  mouseLeaveDelay: _propTypes.default.number,
  overlayClassName: _propTypes.default.string,
  overlayStyle: _propTypes.default.object,
  placement: _propTypes.default.oneOf(Object.values(_AntdConst.PLACEMENT)),
  trigger: _propTypes.default.any,
  // visible: PropTypes.bool,//Comp
  onVisibleChange: _propTypes.default.func,
  //https://ant.design/components/tooltip-cn/#%E6%B3%A8%E6%84%8F
  onMouseEnter: _propTypes.default.any,
  onMouseLeave: _propTypes.default.any,
  onFocus: _propTypes.default.any,
  onClick: _propTypes.default.any
}, {});