"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/upload/style");

var _upload = _interopRequireDefault(require("antd/es/upload"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_upload.default.defaultProps = _skJs.SK.extends(true, {}, {
  directory: false,
  disabled: false,
  listType: 'text',
  multiple: false,
  name: 'file',
  showUploadList: true,
  supportServerRender: false,
  withCredentials: false,
  openFileDialogOnClick: true
}, _upload.default.defaultProps, {});
_upload.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant-design.gitee.io/components/upload-cn/#API
  accept: _propTypes.default.string,
  action: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.func]),
  directory: _propTypes.default.bool,
  beforeUpload: _propTypes.default.func,
  customRequest: _propTypes.default.func,
  data: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.func]),
  defaultFileList: _propTypes.default.array,
  disabled: _propTypes.default.bool,
  fileList: _propTypes.default.array,
  headers: _propTypes.default.object,
  listType: _propTypes.default.string,
  multiple: _propTypes.default.bool,
  name: _propTypes.default.bool,
  showUploadList: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.func]),
  supportServerRender: _propTypes.default.bool,
  withCredentials: _propTypes.default.bool,
  openFileDialogOnClick: _propTypes.default.bool,
  onChange: _propTypes.default.func,
  onPreview: _propTypes.default.func,
  onRemove: _propTypes.default.func
}, _upload.default.propTypes, {});
_upload.default.NON_SK_COMP_NAME = 'Upload';

var SKUpload =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKUpload, _AntdComp);

  function SKUpload() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKUpload);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKUpload)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKUpload.SK_COMP_NAME;
    return _this;
  }

  return SKUpload;
}(_AntdComp2.default);

exports.default = SKUpload;
SKUpload.SK_COMP_NAME = 'SKUpload';
SKUpload.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _upload.default.defaultProps, {
  compTag: _upload.default
});
SKUpload.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _upload.default.propTypes, {});