import "antd/es/date-picker/style";
import _DatePicker from "antd/es/date-picker";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { Mesgs, Proxy0, SK } from 'sk-js';
import CommonPicker from './CommonPicker';
import AntdComp from '../AntdComp';
var RangePicker = _DatePicker.RangePicker;
RangePicker.defaultProps = SK.extends(true, {}, {}, CommonPicker.defaultProps, RangePicker.defaultProps, {
  format: SK.DEFAULT_MOMENT_DATE_TIME
});
RangePicker.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/date-picker-cn/#RangePicker
  defaultValue: PropTypes.array,
  disabledTime: PropTypes.func,
  format: PropTypes.string,
  ranges: PropTypes.oneOfType([PropTypes.object, PropTypes.func]),
  renderExtraFooter: PropTypes.func,
  showTime: PropTypes.oneOfType([PropTypes.object, PropTypes.bool]),
  //showTime.defaultValue:PropTypes.instanceOf(Proxy0.moment),
  value: PropTypes.array,
  onCalendarChange: PropTypes.func,
  onChange: PropTypes.func,
  onOk: PropTypes.func
}, CommonPicker.propTypes, RangePicker.propTypes, {});
RangePicker.NON_SK_COMP_NAME = 'RangePicker';
/**
 * @HasPreview
 * @MustModelId
 */

var SKRangePicker =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKRangePicker, _AntdComp);

  function SKRangePicker() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKRangePicker);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKRangePicker)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKRangePicker.SK_COMP_NAME;

    _this.handleChange = function (dateMoment, dateString) {
      if (_this.props.ssChange && Proxy0._.isFunction(_this.props.ssChange)) {
        _this.props.ssChange(dateMoment, dateString);
      } else {
        _this.n2m(dateMoment);
      }
    };

    return _this;
  }

  _createClass(SKRangePicker, [{
    key: "n2mConvertor",
    value: function n2mConvertor(dateMoment) {
      return dateMoment && dateMoment.length === 2 ? [dateMoment[0].format(this.props.format), dateMoment[1].format(this.props.format)] : undefined;
    }
  }, {
    key: "m2nConvertor",
    value: function m2nConvertor() {
      return this.skVal() ? [Proxy0.momentAny(this.skVal()[0], this.props.format), Proxy0.momentAny(this.skVal()[1], this.props.format)] : undefined;
    }
  }, {
    key: "m2vConvertor",
    value: function m2vConvertor() {
      return this.skVal() ? "".concat(this.skVal()[0], "~").concat(this.skVal()[1]) : undefined;
    }
  }, {
    key: "renderComp",
    value: function renderComp() {
      var CompTag = this.props.compTag;
      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onChange: this.handleChange,
        placeholder: [Mesgs.get('Please_select'), Mesgs.get('Please_select')],
        size: this.skProp(AntdComp.SK_PROPS.SIZE),
        value: this.m2n()
      }), this.skTransProps2Child());
    }
  }, {
    key: "renderPreview",
    value: function renderPreview() {
      return this.renderAntdCompPreview();
    }
  }]);

  return SKRangePicker;
}(AntdComp);

SKRangePicker.SK_COMP_NAME = 'SKRangePicker';
SKRangePicker.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, RangePicker.defaultProps, {
  compTag: RangePicker
});
SKRangePicker.propTypes = SK.extends(true, {}, AntdComp.propTypes, RangePicker.propTypes, {
  ssChange: PropTypes.func
});
export { SKRangePicker as default };