import "antd/es/input/style";
import _Input from "antd/es/input";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import { SK } from 'sk-js';
import OriginInput from './OriginInput';
import SKInput from './SKInput';
var Search = _Input.Search;
Search.defaultProps = SK.extends(true, {}, {
  enterButton: false
}, OriginInput.defaultProps, Search.defaultProps, {});
Search.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/input-cn/#Input.Search
  enterButton: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  onSearch: PropTypes.func
}, OriginInput.propTypes, Search.propTypes, {});
Search.NON_SK_COMP_NAME = 'Search';

var SKSearch =
/*#__PURE__*/
function (_SKInput) {
  _inherits(SKSearch, _SKInput);

  function SKSearch() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKSearch);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKSearch)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKSearch.SK_COMP_NAME;
    return _this;
  }

  return SKSearch;
}(SKInput);

SKSearch.SK_COMP_NAME = 'SKSearch';
SKSearch.defaultProps = SK.extends(true, {}, SKInput.defaultProps, Search.defaultProps, {
  compTag: Search
});
SKSearch.propTypes = SK.extends(true, {}, SKInput.propTypes, Search.propTypes, {});
export { SKSearch as default };