import "antd/es/layout/style";
import _Layout from "antd/es/layout";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import { SK } from 'sk-js';
import AntdComp from '../AntdComp';
import { BREAKPOINT } from '../AntdConst';
import OriginLayout from './OriginLayout';
var Sider = _Layout.Sider;
Sider.defaultProps = SK.extends(true, {}, {
  // collapsedWidth: 64, // fixed for @ant-design/pro-layout
  collapsible: false,
  defaultCollapsed: false,
  reverseArrow: false,
  width: 200
}, OriginLayout.defaultProps, Sider.defaultProps, {});
Sider.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/layout-cn/#Layout.Sider
  breakpoint: PropTypes.oneOf(Object.values(BREAKPOINT)),
  className: PropTypes.string,
  collapsed: PropTypes.bool,
  collapsedWidth: PropTypes.number,
  collapsible: PropTypes.bool,
  defaultCollapsed: PropTypes.bool,
  reverseArrow: PropTypes.bool,
  style: PropTypes.object,
  theme: PropTypes.string,
  trigger: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  width: PropTypes.number,
  onBreakpoint: PropTypes.func,
  onCollapse: PropTypes.func
}, OriginLayout.propTypes, Sider.propTypes, {});
Sider.NON_SK_COMP_NAME = 'Sider';

var SKSider =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKSider, _AntdComp);

  function SKSider() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKSider);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKSider)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKSider.SK_COMP_NAME;
    return _this;
  }

  return SKSider;
}(AntdComp);

SKSider.SK_COMP_NAME = 'SKSider';
SKSider.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, Sider.defaultProps, {
  compTag: Sider
});
SKSider.propTypes = SK.extends(true, {}, AntdComp.propTypes, Sider.propTypes, {});
export { SKSider as default };