import "antd/es/modal/style";
import _Modal from "antd/es/modal";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from "react";
import PropTypes from 'prop-types';
import { Mesgs, Proxy0, SK } from 'sk-js';
import AntdComp from '../AntdComp';
import { BUTTON_TYPE } from '../AntdConst';
_Modal.defaultProps = SK.extends(true, {}, {
  bodyStyle: {},
  cancelText: Mesgs.get('Cancel'),
  closable: true,
  mask: true,
  maskClosable: true,
  maskStyle: {},
  okText: Mesgs.get('Ok'),
  okType: BUTTON_TYPE.Primary,
  width: 520,
  zIndex: 1000
}, _Modal.defaultProps, {});
_Modal.propTypes = SK.extends(true, {}, {
  //https://ant.design/components/modal-cn/#API
  afterClose: PropTypes.func,
  bodyStyle: PropTypes.object,
  cancelText: PropTypes.string,
  closable: PropTypes.bool,
  confirmLoading: PropTypes.bool,
  footer: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  getContainer: PropTypes.func,
  mask: PropTypes.bool,
  maskClosable: PropTypes.bool,
  maskStyle: PropTypes.object,
  okText: PropTypes.string,
  okType: PropTypes.string,
  style: PropTypes.object,
  title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  visible: PropTypes.bool,
  width: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  wrapClassName: PropTypes.string,
  zIndex: PropTypes.number,
  onCancel: PropTypes.func,
  onOk: PropTypes.func
}, _Modal.propTypes, {});
_Modal.NON_SK_COMP_NAME = 'Modal';
/**
 * @MustModelId
 */

var SKModal =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKModal, _AntdComp);

  function SKModal() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKModal);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKModal)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKModal.SK_COMP_NAME;

    _this.handleCancel = function (domEvent) {
      if (_this.props.ssCancel && Proxy0._.isFunction(_this.props.ssCancel)) {
        _this.props.ssCancel(domEvent);
      } else {
        _this.n2m(false);
      }
    };

    return _this;
  }

  _createClass(SKModal, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onCancel: this.handleCancel,
        visible: this.m2n()
      }), this.skTransProps2Child());
    }
  }]);

  return SKModal;
}(AntdComp);

SKModal.SK_COMP_NAME = 'SKModal';
SKModal.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Modal.defaultProps, {
  compTag: _Modal
});
SKModal.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Modal.propTypes, {
  ssCancel: PropTypes.func
});
export { SKModal as default };