import "antd/es/select/style";
import _Select from "antd/es/select";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { Color0, Mesgs, Proxy0, SK } from 'sk-js';
import { SKDiv } from 'sk-react';
import OriginSelect from './OriginSelect';
import AntdComp from '../AntdComp';
import { SELECT_MODE } from '../AntdConst';
import SKTag from '../tag/SKTag';
import SKTooltip from '../tooltip/SKTooltip';
/**
 * @HasPreview
 * @MustModelId
 */

var SKSelect =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKSelect, _AntdComp);

  function SKSelect() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKSelect);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKSelect)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKSelect.SK_COMP_NAME;

    _this.handleChange = function (value, option) {
      if (_this.props.ssChange && Proxy0._.isFunction(_this.props.ssChange)) {
        _this.props.ssChange(value, option);
      } else {
        //option default object, clear is undefined
        //multiple will array, clear is empty array
        _this.n2m(option ? Proxy0._.isArray(option) ? option.map(function (item) {
          return item.key;
        }) : option.key : undefined);
      }
    };

    _this.handleSearch = undefined;
    return _this;
  }

  _createClass(SKSelect, [{
    key: "addExtendChangedMonitor",
    value: function addExtendChangedMonitor() {
      _get(_getPrototypeOf(SKSelect.prototype), "addExtendChangedMonitor", this).call(this);

      this.addChangedMonitor(this.props.dataId);
    }
  }, {
    key: "rmvExtendChangedMonitor",
    value: function rmvExtendChangedMonitor() {
      _get(_getPrototypeOf(SKSelect.prototype), "rmvExtendChangedMonitor", this).call(this);

      this.rmvChangedMonitor(this.props.dataId);
    }
  }, {
    key: "renderPreview",
    value: function renderPreview() {
      var _this2 = this;

      var _this$props = this.props,
          data = _this$props.data,
          dataId = _this$props.dataId;
      var dataArray = dataId ? this.skModel().skVal(dataId) : SK.s4a(data);

      if (this.props.mode === SELECT_MODE.Multiple) {
        return React.createElement(SKDiv, null, dataArray.filter(function (item) {
          return _this2.m2n().includes(item.id);
        }).map(function (item) {
          return React.createElement(SKTooltip, {
            title: item.id
          }, React.createElement(SKTag, {
            color: Color0.hexColor(item.id)
          }, item.text));
        }).join());
      } else {
        var tmpPreview = {};
        dataArray.forEach(function (item) {
          if (item.id === _this2.m2n()) {
            tmpPreview = item;
          }
        });
        return React.createElement(SKDiv, null, React.createElement(SKTooltip, {
          title: tmpPreview.id
        }, tmpPreview.text));
      }
    }
  }, {
    key: "renderComp",
    value: function renderComp() {
      var _this$props2 = this.props,
          CompTag = _this$props2.compTag,
          data = _this$props2.data,
          dataId = _this$props2.dataId,
          placeholder = _this$props2.placeholder;
      return React.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onChange: this.handleChange,
        placeholder: placeholder || Mesgs.get('Please_select'),
        value: this.m2n(),
        getPopupContainer: function getPopupContainer(triggerNode) {
          return triggerNode.parentNode;
        }
      }), data || dataId ? (dataId ? this.skModel().skVal(dataId) : SK.s4a(data)).map(function (selectOption) {
        return OriginSelect.optionMap(selectOption);
      }) : this.skTransProps2Child());
    }
  }]);

  return SKSelect;
}(AntdComp);

SKSelect.SK_COMP_NAME = 'SKSelect';
SKSelect.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Select.OptGroup.defaultProps, _Select.Option.defaultProps, OriginSelect.defaultProps, {
  compTag: _Select,
  dataId: undefined,
  allowClear: true,
  defaultActiveFirstOption: false,
  filterOption: function filterOption(input, option) {
    return option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0;
  },
  optionFilterProp: 'children',
  showArrow: false,
  showSearch: true
});
SKSelect.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Select.OptGroup.propTypes, _Select.Option.propTypes, OriginSelect.propTypes, {
  data: PropTypes.array,
  dataId: PropTypes.string,
  ssChange: PropTypes.func
});
export { SKSelect as default };