import "antd/es/upload/style";
import _Upload from "antd/es/upload";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import PropTypes from 'prop-types';
import React from 'react';
import { SK } from 'sk-js';
import AntdComp from '../AntdComp';
_Upload.defaultProps = SK.extends(true, {}, {
  directory: false,
  disabled: false,
  listType: 'text',
  multiple: false,
  name: 'file',
  showUploadList: true,
  supportServerRender: false,
  withCredentials: false,
  openFileDialogOnClick: true
}, _Upload.defaultProps, {});
_Upload.propTypes = SK.extends(true, {}, {
  //https://ant-design.gitee.io/components/upload-cn/#API
  accept: PropTypes.string,
  action: PropTypes.oneOfType([PropTypes.string, PropTypes.func]),
  directory: PropTypes.bool,
  beforeUpload: PropTypes.func,
  customRequest: PropTypes.func,
  data: PropTypes.oneOfType([PropTypes.object, PropTypes.func]),
  defaultFileList: PropTypes.array,
  disabled: PropTypes.bool,
  fileList: PropTypes.array,
  headers: PropTypes.object,
  listType: PropTypes.string,
  multiple: PropTypes.bool,
  name: PropTypes.bool,
  showUploadList: PropTypes.oneOfType([PropTypes.bool, PropTypes.func]),
  supportServerRender: PropTypes.bool,
  withCredentials: PropTypes.bool,
  openFileDialogOnClick: PropTypes.bool,
  onChange: PropTypes.func,
  onPreview: PropTypes.func,
  onRemove: PropTypes.func
}, _Upload.propTypes, {});
_Upload.NON_SK_COMP_NAME = 'Upload';

var SKUpload =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKUpload, _AntdComp);

  function SKUpload() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKUpload);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKUpload)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKUpload.SK_COMP_NAME;
    return _this;
  }

  return SKUpload;
}(AntdComp);

SKUpload.SK_COMP_NAME = 'SKUpload';
SKUpload.defaultProps = SK.extends(true, {}, AntdComp.defaultProps, _Upload.defaultProps, {
  compTag: _Upload
});
SKUpload.propTypes = SK.extends(true, {}, AntdComp.propTypes, _Upload.propTypes, {});
export { SKUpload as default };