"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/breadcrumb/style");

var _breadcrumb = _interopRequireDefault(require("antd/es/breadcrumb"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_breadcrumb.default.defaultProps = _skJs.SK.extends(true, {}, {
  separator: _skJs.SK.CHAR_SLASH
}, _breadcrumb.default.defaultProps, {});
_breadcrumb.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/breadcrumb-cn/#API
  itemRender: _propTypes.default.func,
  params: _propTypes.default.object,
  routes: _propTypes.default.array,
  separator: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node])
}, _breadcrumb.default.propTypes, {});
_breadcrumb.default.NON_SK_COMP_NAME = 'Breadcrumb';

var SKBreadcrumb =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKBreadcrumb, _AntdComp);

  function SKBreadcrumb() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKBreadcrumb);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKBreadcrumb)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKBreadcrumb.SK_COMP_NAME;
    return _this;
  }

  _createClass(SKBreadcrumb, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          CompTag = _this$props.compTag,
          routes = _this$props.routes,
          params = _this$props.params;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        params: params,
        routes: routes
      }), this.skTransProps2Child());
    }
  }]);

  return SKBreadcrumb;
}(_AntdComp2.default);

exports.default = SKBreadcrumb;
SKBreadcrumb.SK_COMP_NAME = 'SKBreadcrumb';
SKBreadcrumb.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _breadcrumb.default.defaultProps, {
  compTag: _breadcrumb.default
});
SKBreadcrumb.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _breadcrumb.default.propTypes, {});