"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/button/style");

var _button = _interopRequireDefault(require("antd/es/button"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _skReact = require("sk-react");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_button.default.defaultProps = _skJs.SK.extends(true, {}, {
  block: false,
  // disabled: false,//Comp
  ghost: false,
  htmlType: _skReact.Reacts.TAG.button,
  loading: false,
  size: _AntdConst.SIZE.Default
}, _button.default.defaultProps, {});
_button.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/button-cn/#API
  block: _propTypes.default.bool,
  // disabled: PropTypes.bool,//Comp
  ghost: _propTypes.default.bool,
  href: _propTypes.default.string,
  htmlType: _propTypes.default.string,
  icon: _propTypes.default.string,
  loading: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.object]),
  shape: _propTypes.default.string,
  size: _propTypes.default.string,
  target: _propTypes.default.string,
  type: _propTypes.default.string,
  onClick: _propTypes.default.func
}, _button.default.propTypes, {});
_button.default.NON_SK_COMP_NAME = 'Button';

var SKButton =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKButton, _AntdComp);

  function SKButton() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKButton)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKButton.SK_COMP_NAME;
    return _this;
  }

  return SKButton;
}(_AntdComp2.default);

exports.default = SKButton;
SKButton.SK_COMP_NAME = 'SKButton';
SKButton.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _button.default.defaultProps, {
  compTag: _button.default
});
SKButton.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _button.default.propTypes, {});