"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var CommonPicker = function CommonPicker() {
  _classCallCheck(this, CommonPicker);
};

exports.default = CommonPicker;
CommonPicker.defaultProps = _skJs.SK.extends(true, {}, {
  allowClear: true,
  autoFocus: false,
  className: _skJs.SK.STR_EMPTY,
  disabled: false,
  popupStyle: {} // style: {},

}, {});
CommonPicker.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/date-picker-cn/#%E5%85%B1%E5%90%8C%E7%9A%84-API
  allowClear: _propTypes.default.bool,
  autoFocus: _propTypes.default.bool,
  className: _propTypes.default.string,
  dateRender: _propTypes.default.func,
  disabled: _propTypes.default.bool,
  disabledDate: _propTypes.default.func,
  getCalendarContainer: _propTypes.default.func,
  locale: _propTypes.default.object,
  open: _propTypes.default.bool,
  placeholder: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.array]),
  popupStyle: _propTypes.default.object,
  size: _propTypes.default.string,
  // style: PropTypes.object,
  onOpenChange: _propTypes.default.func
}, {});