"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/date-picker/style");

var _datePicker = _interopRequireDefault(require("antd/es/date-picker"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _CommonPicker = _interopRequireDefault(require("./CommonPicker"));

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var RangePicker = _datePicker.default.RangePicker;
RangePicker.defaultProps = _skJs.SK.extends(true, {}, {}, _CommonPicker.default.defaultProps, RangePicker.defaultProps, {
  format: _skJs.SK.DEFAULT_MOMENT_DATE_TIME
});
RangePicker.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/date-picker-cn/#RangePicker
  defaultValue: _propTypes.default.array,
  disabledTime: _propTypes.default.func,
  format: _propTypes.default.string,
  ranges: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.func]),
  renderExtraFooter: _propTypes.default.func,
  showTime: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.bool]),
  //showTime.defaultValue:PropTypes.instanceOf(Proxy0.moment),
  value: _propTypes.default.array,
  onCalendarChange: _propTypes.default.func,
  onChange: _propTypes.default.func,
  onOk: _propTypes.default.func
}, _CommonPicker.default.propTypes, RangePicker.propTypes, {});
RangePicker.NON_SK_COMP_NAME = 'RangePicker';
/**
 * @HasPreview
 * @MustModelId
 */

var SKRangePicker =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKRangePicker, _AntdComp);

  function SKRangePicker() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKRangePicker);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKRangePicker)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKRangePicker.SK_COMP_NAME;

    _this.handleChange = function (dateMoment, dateString) {
      if (_this.props.ssChange && _skJs.Proxy0._.isFunction(_this.props.ssChange)) {
        _this.props.ssChange(dateMoment, dateString);
      } else {
        _this.n2m(dateMoment);
      }
    };

    return _this;
  }

  _createClass(SKRangePicker, [{
    key: "n2mConvertor",
    value: function n2mConvertor(dateMoment) {
      return dateMoment && dateMoment.length === 2 ? [dateMoment[0].format(this.props.format), dateMoment[1].format(this.props.format)] : undefined;
    }
  }, {
    key: "m2nConvertor",
    value: function m2nConvertor() {
      return this.skVal() ? [_skJs.Proxy0.momentAny(this.skVal()[0], this.props.format), _skJs.Proxy0.momentAny(this.skVal()[1], this.props.format)] : undefined;
    }
  }, {
    key: "m2vConvertor",
    value: function m2vConvertor() {
      return this.skVal() ? "".concat(this.skVal()[0], "~").concat(this.skVal()[1]) : undefined;
    }
  }, {
    key: "renderComp",
    value: function renderComp() {
      var CompTag = this.props.compTag;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onChange: this.handleChange,
        placeholder: [_skJs.Mesgs.get('Please_select'), _skJs.Mesgs.get('Please_select')],
        size: this.skProp(_AntdComp2.default.SK_PROPS.SIZE),
        value: this.m2n()
      }), this.skTransProps2Child());
    }
  }, {
    key: "renderPreview",
    value: function renderPreview() {
      return this.renderAntdCompPreview();
    }
  }]);

  return SKRangePicker;
}(_AntdComp2.default);

exports.default = SKRangePicker;
SKRangePicker.SK_COMP_NAME = 'SKRangePicker';
SKRangePicker.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, RangePicker.defaultProps, {
  compTag: RangePicker
});
SKRangePicker.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, RangePicker.propTypes, {
  ssChange: _propTypes.default.func
});