"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/form/style");

var _form = _interopRequireDefault(require("antd/es/form"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _OriginForm = _interopRequireDefault(require("./OriginForm"));

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Item = _form.default.Item;
Item.defaultProps = _skJs.SK.extends(true, {}, {
  colon: true,
  hasFeedback: false,
  required: false
}, _OriginForm.default.defaultProps, Item.defaultProps, {});
Item.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/form-cn/#Form.Item
  colon: _propTypes.default.bool,
  extra: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  hasFeedback: _propTypes.default.bool,
  help: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  label: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  labelCol: _propTypes.default.object,
  required: _propTypes.default.bool,
  validateStatus: _propTypes.default.string,
  wrapperCol: _propTypes.default.object
}, _OriginForm.default.propTypes, Item.propTypes, {});
Item.NON_SK_COMP_NAME = 'FormItem';

var SKFormItem =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKFormItem, _AntdComp);

  function SKFormItem() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKFormItem);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKFormItem)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKFormItem.SK_COMP_NAME;
    return _this;
  }

  _createClass(SKFormItem, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      var labelCol = this.skProp(SKFormItem.SK_PROPS.LABEL_COL);
      var wrapperCol = this.skProp(SKFormItem.SK_PROPS.WRAPPER_COL);
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        labelCol: labelCol,
        required: this.skBfo(_AntdComp2.default.SK_PROPS.REQUIRED),
        wrapperCol: wrapperCol
      }), this.skTransProps2Child());
    }
  }]);

  return SKFormItem;
}(_AntdComp2.default);

exports.default = SKFormItem;
SKFormItem.SK_COMP_NAME = 'SKFormItem';
SKFormItem.SK_PROPS = _skJs.SK.extends(true, {}, _AntdComp2.default.SK_PROPS, {
  LABEL_COL: 'labelCol',
  WRAPPER_COL: 'wrapperCol'
});
SKFormItem.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, Item.defaultProps, {
  compTag: _form.default.Item
});
SKFormItem.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, Item.propTypes, {
  formLabelCol: _propTypes.default.object,
  skFormLabelCol: _propTypes.default.object,
  formWrapperCol: _propTypes.default.object,
  skFormWrapperCol: _propTypes.default.object
});