"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/layout/style");

var _layout = _interopRequireDefault(require("antd/es/layout"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

var _OriginLayout = _interopRequireDefault(require("./OriginLayout"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Sider = _layout.default.Sider;
Sider.defaultProps = _skJs.SK.extends(true, {}, {
  // collapsedWidth: 64, // fixed for @ant-design/pro-layout
  collapsible: false,
  defaultCollapsed: false,
  reverseArrow: false,
  width: 200
}, _OriginLayout.default.defaultProps, Sider.defaultProps, {});
Sider.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/layout-cn/#Layout.Sider
  breakpoint: _propTypes.default.oneOf(Object.values(_AntdConst.BREAKPOINT)),
  className: _propTypes.default.string,
  collapsed: _propTypes.default.bool,
  collapsedWidth: _propTypes.default.number,
  collapsible: _propTypes.default.bool,
  defaultCollapsed: _propTypes.default.bool,
  reverseArrow: _propTypes.default.bool,
  style: _propTypes.default.object,
  theme: _propTypes.default.string,
  trigger: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  width: _propTypes.default.number,
  onBreakpoint: _propTypes.default.func,
  onCollapse: _propTypes.default.func
}, _OriginLayout.default.propTypes, Sider.propTypes, {});
Sider.NON_SK_COMP_NAME = 'Sider';

var SKSider =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKSider, _AntdComp);

  function SKSider() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKSider);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKSider)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKSider.SK_COMP_NAME;
    return _this;
  }

  return SKSider;
}(_AntdComp2.default);

exports.default = SKSider;
SKSider.SK_COMP_NAME = 'SKSider';
SKSider.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, Sider.defaultProps, {
  compTag: Sider
});
SKSider.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, Sider.propTypes, {});