"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/menu/style");

var _menu = _interopRequireDefault(require("antd/es/menu"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _OriginMenu = _interopRequireDefault(require("./OriginMenu"));

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Item = _menu.default.Item;
Item.defaultProps = _skJs.SK.extends(true, {}, {
  disabled: false
}, _OriginMenu.default.defaultProps, Item.defaultProps, {});
Item.propTypes = _skJs.SK.extends(true, {
  //https://github.com/react-component/menu/blob/master/src/MenuItem.jsx#L21
  onItemHover: _propTypes.default.func
}, {
  //https://ant.design/components/menu-cn/#Menu.Item
  disabled: _propTypes.default.bool,
  //key: PropTypes.string,//Warning: SKMenuItem: `key` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://fb.me/react-special-props)
  //https://github.com/react-component/menu#menuitem-props
  eventKey: _propTypes.default.string,
  onMouseEnter: _propTypes.default.func,
  onMouseLeave: _propTypes.default.func
}, _OriginMenu.default.propTypes, Item.propTypes, {});
Item.NON_SK_COMP_NAME = 'MenuItem';

var SKMenuItem =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKMenuItem, _AntdComp);

  function SKMenuItem() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKMenuItem);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKMenuItem)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKMenuItem.SK_COMP_NAME;
    return _this;
  }

  return SKMenuItem;
}(_AntdComp2.default);

exports.default = SKMenuItem;
SKMenuItem.SK_COMP_NAME = 'SKMenuItem';
SKMenuItem.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, Item.defaultProps, {
  compTag: _menu.default.Item
});
SKMenuItem.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, Item.propTypes, {});