"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/modal/style");

var _modal = _interopRequireDefault(require("antd/es/modal"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_modal.default.defaultProps = _skJs.SK.extends(true, {}, {
  bodyStyle: {},
  cancelText: _skJs.Mesgs.get('Cancel'),
  closable: true,
  mask: true,
  maskClosable: true,
  maskStyle: {},
  okText: _skJs.Mesgs.get('Ok'),
  okType: _AntdConst.BUTTON_TYPE.Primary,
  width: 520,
  zIndex: 1000
}, _modal.default.defaultProps, {});
_modal.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/modal-cn/#API
  afterClose: _propTypes.default.func,
  bodyStyle: _propTypes.default.object,
  cancelText: _propTypes.default.string,
  closable: _propTypes.default.bool,
  confirmLoading: _propTypes.default.bool,
  footer: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  getContainer: _propTypes.default.func,
  mask: _propTypes.default.bool,
  maskClosable: _propTypes.default.bool,
  maskStyle: _propTypes.default.object,
  okText: _propTypes.default.string,
  okType: _propTypes.default.string,
  style: _propTypes.default.object,
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  visible: _propTypes.default.bool,
  width: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  wrapClassName: _propTypes.default.string,
  zIndex: _propTypes.default.number,
  onCancel: _propTypes.default.func,
  onOk: _propTypes.default.func
}, _modal.default.propTypes, {});
_modal.default.NON_SK_COMP_NAME = 'Modal';
/**
 * @MustModelId
 */

var SKModal =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKModal, _AntdComp);

  function SKModal() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKModal);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKModal)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKModal.SK_COMP_NAME;

    _this.handleCancel = function (domEvent) {
      if (_this.props.ssCancel && _skJs.Proxy0._.isFunction(_this.props.ssCancel)) {
        _this.props.ssCancel(domEvent);
      } else {
        _this.n2m(false);
      }
    };

    return _this;
  }

  _createClass(SKModal, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onCancel: this.handleCancel,
        visible: this.m2n()
      }), this.skTransProps2Child());
    }
  }]);

  return SKModal;
}(_AntdComp2.default);

exports.default = SKModal;
SKModal.SK_COMP_NAME = 'SKModal';
SKModal.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, _modal.default.defaultProps, {
  compTag: _modal.default
});
SKModal.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _modal.default.propTypes, {
  ssCancel: _propTypes.default.func
});