"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/popover/style");

var _popover = _interopRequireDefault(require("antd/es/popover"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _SKPopover2 = _interopRequireDefault(require("./SKPopover"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

/**
 * @MustModelId
 */
var SKBoundPopover =
/*#__PURE__*/
function (_SKPopover) {
  _inherits(SKBoundPopover, _SKPopover);

  function SKBoundPopover() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKBoundPopover);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKBoundPopover)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKBoundPopover.SK_COMP_NAME;
    _this.SK_EXTEND_COMP_NAME = SKBoundPopover.SK_EXTEND_COMP_NAME;

    _this.handleVisibleChange = function (visible) {
      if (_this.props.ssVisibleChange && _skJs.Proxy0._.isFunction(_this.props.ssVisibleChange)) {
        _this.props.ssVisibleChange(visible);
      } else {
        _this.n2m(visible);
      }
    };

    return _this;
  }

  _createClass(SKBoundPopover, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        onVisibleChange: this.handleVisibleChange,
        visible: this.m2n()
      }), this.skTransProps2Child());
    }
  }]);

  return SKBoundPopover;
}(_SKPopover2.default);

exports.default = SKBoundPopover;
SKBoundPopover.SK_COMP_NAME = 'SKPopover';
SKBoundPopover.SK_EXTEND_COMP_NAME = 'SKBoundPopover';
SKBoundPopover.defaultProps = _skJs.SK.extends(true, {}, _SKPopover2.default.defaultProps, {
  compTag: _popover.default
});
SKBoundPopover.propTypes = _skJs.SK.extends(true, {}, _SKPopover2.default.propTypes, {
  ssVisibleChange: _propTypes.default.func
});