"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/popover/style");

var _popover = _interopRequireDefault(require("antd/es/popover"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _SKPopover2 = _interopRequireDefault(require("./SKPopover"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

/**
 * @NoChild
 */
var SKEllipsisPopover =
/*#__PURE__*/
function (_SKPopover) {
  _inherits(SKEllipsisPopover, _SKPopover);

  function SKEllipsisPopover() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKEllipsisPopover);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKEllipsisPopover)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKEllipsisPopover.SK_COMP_NAME;
    _this.SK_EXTEND_COMP_NAME = SKEllipsisPopover.SK_EXTEND_COMP_NAME;
    return _this;
  }

  _createClass(SKEllipsisPopover, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          CompTag = _this$props.compTag,
          content = _this$props.content,
          ellipsis = _this$props.ellipsis;
      return content.length > ellipsis ? _react.default.createElement(CompTag, this.skTransProps2Self(CompTag), _skJs.SK.ellipsis(content, ellipsis)) : content;
    }
  }]);

  return SKEllipsisPopover;
}(_SKPopover2.default);

exports.default = SKEllipsisPopover;
SKEllipsisPopover.SK_COMP_NAME = 'SKPopover';
SKEllipsisPopover.SK_EXTEND_COMP_NAME = 'SKEllipsisPopover';
SKEllipsisPopover.defaultProps = _skJs.SK.extends(true, {}, _SKPopover2.default.defaultProps, {
  compTag: _popover.default,
  ellipsis: 8
});
SKEllipsisPopover.propTypes = _skJs.SK.extends(true, {}, _SKPopover2.default.propTypes, {
  ellipsis: _propTypes.default.number
});