"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/row/style");

var _row = _interopRequireDefault(require("antd/es/row"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdComp2 = _interopRequireDefault(require("../AntdComp"));

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

//comments because has skGutter
// Row.defaultProps = SK.extends(true, {}, {
//   align: ALIGN.Top,
//   //gutter: 0, //comments because has skGutter
//   justify: JUSTIFY.Start,
// }, Row.defaultProps, {});
_row.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/grid-cn/#Row
  align: _propTypes.default.oneOf(Object.values(_AntdConst.ALIGN)),
  gutter: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.object]),
  justify: _propTypes.default.oneOf(Object.values(_AntdConst.JUSTIFY)),
  type: _propTypes.default.string
}, _row.default.propTypes, {});
_row.default.NON_SK_COMP_NAME = 'Row';

var SKRow =
/*#__PURE__*/
function (_AntdComp) {
  _inherits(SKRow, _AntdComp);

  function SKRow() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKRow);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKRow)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKRow.SK_COMP_NAME;
    return _this;
  }

  _createClass(SKRow, [{
    key: "render",
    value: function render() {
      var CompTag = this.props.compTag;
      return _react.default.createElement(CompTag, _extends({}, this.skTransProps2Self(CompTag), {
        gutter: this.skProp(SKRow.SK_PROPS.GUTTER)
      }), this.skTransProps2Child());
    }
  }]);

  return SKRow;
}(_AntdComp2.default);

exports.default = SKRow;
SKRow.SK_COMP_NAME = 'SKRow';
SKRow.SK_PROPS = _skJs.SK.extends(true, {}, _AntdComp2.default.SK_PROPS, {
  GUTTER: 'gutter'
});
SKRow.defaultProps = _skJs.SK.extends(true, {}, _AntdComp2.default.defaultProps, {}, {
  compTag: _row.default
});
SKRow.propTypes = _skJs.SK.extends(true, {}, _AntdComp2.default.propTypes, _row.default.propTypes, {});