"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/select/style");

var _select = _interopRequireDefault(require("antd/es/select"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _AntdConst = require("../AntdConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_select.default.defaultProps = _skJs.SK.extends(true, {}, {
  //allowClear: false,
  //autoFocus: false,
  //combobox: false,
  //defaultActiveFirstOption: true,
  //disabled: false,
  //dropdownMatchSelectWidth: true,
  //filterOption: true,
  //labelInValue: false,
  // multiple: false,
  notFoundContent: _skJs.Mesgs.get('Not_Found'),
  // optionFilterProp:'value',
  //showSearch: false,
  size: _AntdConst.SIZE.Default //tags: false,

}, _select.default.defaultProps, {});
_select.default.propTypes = _skJs.SK.extends(true, {}, {
  //https://ant.design/components/select-cn/#API
  allowClear: _propTypes.default.bool,
  autoFocus: _propTypes.default.bool,
  combobox: _propTypes.default.bool,
  defaultActiveFirstOption: _propTypes.default.bool,
  defaultValue: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.array]),
  disabled: _propTypes.default.bool,
  dropdownClassName: _propTypes.default.string,
  dropdownMatchSelectWidth: _propTypes.default.bool,
  dropdownStyle: _propTypes.default.object,
  filterOption: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.func]),
  firstActiveValue: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.array]),
  getPopupContainer: _propTypes.default.func,
  labelInValue: _propTypes.default.bool,
  maxTagCount: _propTypes.default.number,
  maxTagPlaceholder: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.func]),
  mode: _propTypes.default.oneOf(Object.values(_AntdConst.SELECT_MODE)),
  multiple: _propTypes.default.bool,
  notFoundContent: _propTypes.default.string,
  optionFilterProp: _propTypes.default.string,
  optionLabelProp: _propTypes.default.string,
  placeholder: _propTypes.default.string,
  showSearch: _propTypes.default.bool,
  size: _propTypes.default.string,
  tags: _propTypes.default.bool,
  tokenSeparators: _propTypes.default.array,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.array]),
  onBlur: _propTypes.default.func,
  onChange: _propTypes.default.func,
  onDeselect: _propTypes.default.func,
  onFocus: _propTypes.default.func,
  onMouseEnter: _propTypes.default.func,
  onMouseLeave: _propTypes.default.func,
  onPopupScroll: _propTypes.default.func,
  onSearch: _propTypes.default.func,
  onSelect: _propTypes.default.func
}, _select.default.propTypes, {});
_select.default.NON_SK_COMP_NAME = 'Select';

var OriginSelect = function OriginSelect() {
  _classCallCheck(this, OriginSelect);
};

exports.default = OriginSelect;
OriginSelect.defaultProps = _skJs.SK.extends(true, {}, _select.default.defaultProps, {});
OriginSelect.propTypes = _skJs.SK.extends(true, {}, _select.default.propTypes, {});

OriginSelect.optionMap = function (selectOption) {
  return selectOption.label ? _react.default.createElement(_select.default.OptGroup, {
    key: selectOption.id,
    label: selectOption.label
  }) : _react.default.createElement(_select.default.Option, {
    key: selectOption.id,
    disabled: selectOption.disabled
  }, selectOption.text);
};