"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("antd/es/tooltip/style");

var _tooltip = _interopRequireDefault(require("antd/es/tooltip"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _skJs = require("sk-js");

var _SKTooltip2 = _interopRequireDefault(require("./SKTooltip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

/**
 * @NoChild
 */
var SKEllipsisTooltip =
/*#__PURE__*/
function (_SKTooltip) {
  _inherits(SKEllipsisTooltip, _SKTooltip);

  function SKEllipsisTooltip() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SKEllipsisTooltip);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SKEllipsisTooltip)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.SK_COMP_NAME = SKEllipsisTooltip.SK_COMP_NAME;
    _this.SK_EXTEND_COMP_NAME = SKEllipsisTooltip.SK_EXTEND_COMP_NAME;
    return _this;
  }

  _createClass(SKEllipsisTooltip, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          CompTag = _this$props.compTag,
          title = _this$props.title,
          ellipsis = _this$props.ellipsis;
      return title.length > ellipsis ? _react.default.createElement(CompTag, this.skTransProps2Self(CompTag), _skJs.SK.ellipsis(title, ellipsis)) : title;
    }
  }]);

  return SKEllipsisTooltip;
}(_SKTooltip2.default);

exports.default = SKEllipsisTooltip;
SKEllipsisTooltip.SK_COMP_NAME = 'SKTooltip';
SKEllipsisTooltip.SK_EXTEND_COMP_NAME = 'SKEllipsisTooltip';
SKEllipsisTooltip.defaultProps = _skJs.SK.extends(true, {}, _SKTooltip2.default.defaultProps, {
  compTag: _tooltip.default,
  ellipsis: 8
});
SKEllipsisTooltip.propTypes = _skJs.SK.extends(true, {}, _SKTooltip2.default.propTypes, {
  ellipsis: _propTypes.default.number
});